<mat-card>
  <div class="info">
    <div class="info__image">
      <img src="{{ product.imageUrl }}" alt="Картинка продукта" />
      <img
        src="./../../../assets/icons/discount.svg"
        class="discount__icon"
        *ngIf="product.discount !== 0"
        matTooltip="{{ bestAction.name }}"
        matTooltipPosition="'right'"
      />
    </div>
    <div class="info__text">
      <h1 class="product__name">{{ product.name }}</h1>
      <div class="product_count">Кол-во продуктов: {{ product.count }}</div>
      <div class="price__block">
        <span class="product__price">
          <ng-container *ngIf="product.discount === 0; else productWithDiscount">
            {{ product.price | numberSplit }} ₸
          </ng-container>
          <ng-template #productWithDiscount>
            <s>{{ product.price }} ₸</s>
            <b>{{ product.price - product.discount }} ₸</b>
          </ng-template>
        </span>
        <app-favorites-button [productId]="product.id"></app-favorites-button>
        <app-cart-button [productId]="product.id"></app-cart-button>
      </div>
      <section *ngIf="product.description">
        Информация:
        <span class="product__description">{{ product.description }}</span>
      </section>
    </div>
  </div>
  <h3 class="label">Технические характеристики:</h3>
  <table mat-table [dataSource]="properties" class="product__properties">
    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->

    <!-- Position Column -->
    <ng-container matColumnDef="name">
      <td mat-cell *matCellDef="let element">{{ element.name }}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="value">
      <td mat-cell *matCellDef="let element">{{ element.value }}</td>
    </ng-container>

    <tr
      mat-row
      *matRowDef="let row; columns: displayedColumns"
      class="properties__row"
    ></tr>
  </table>
</mat-card>
